import * as AST from '../ast';
import Env, { EnvError } from '../env';
import Token from '../token';

export class Property {
  public name: Token;

  public constructor(name: Token) {
    this.name = name;
  }

  public compile(_env: Env, _opts: AST.Opts): string | EnvError {
    return this.name.value;
  }
}
